Перейти к основному содержанию
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
claim
Назначить выделенный IP
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "asn": 123,
  "country_code": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "ip_addresses": [
    {
      "ip": "<string>",
      "fcrdns_confirmed": false,
      "healthy": true,
      "rdns": "<string>"
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Авторизации

Authorization
string
header
обязательно

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Параметры пути

account_id
string<uuid>
обязательно

Тело

application/json

Запрос на назначение управляемого выделенного IP.

option_id
string<uuid> | null

Ответ

id
string<uuid>
обязательно

Выделенный IP UUID

name
string
обязательно

Видимое клиентом выделенное имя IP

status
string
обязательно

Статус предоставления или жизненного цикла

type
string
обязательно

Выделенный тип распределения IP

asn
integer | null

Номер автономной системы для распределения

country_code
string | null

Код страны ISO для распределения

created_at
string<date-time> | null

Временная метка создания

ip_addresses
PublicDedicatedIpAddressResponse · object[]

Публичные адреса в этом распределении

updated_at
string<date-time> | null

Временная метка последнего обновления